## org.mortbay.jetty.security
Class SecurityHandler.NotChecked

    java.lang.Object
      org.mortbay.jetty.security.SecurityHandler.NotChecked

All Implemented Interfaces:
  Principal

Enclosing class:
  SecurityHandler

    public class SecurityHandler.NotChecked

extends Object
implements Principal

Constructor Summary
`SecurityHandler.NotChecked()`

Method Summary
`String` `getName()`
`SecurityHandler` `getSecurityHandler()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Constructor Detail

### SecurityHandler.NotChecked

    public SecurityHandler.NotChecked()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

### toString

    public String toString()

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

### getSecurityHandler

    public SecurityHandler getSecurityHandler()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.